<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class WallpaperSettings extends \Google\Protobuf\Internal\Message
{
    


    protected $filename = null;
    


    protected $opacity = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getFilename()
    {
        return isset($this->filename) ? $this->filename : '';
    }

    public function hasFilename()
    {
        return isset($this->filename);
    }

    public function clearFilename()
    {
        unset($this->filename);
    }

    




    public function setFilename($var)
    {
        GPBUtil::checkString($var, True);
        $this->filename = $var;

        return $this;
    }

    



    public function getOpacity()
    {
        return isset($this->opacity) ? $this->opacity : 0;
    }

    public function hasOpacity()
    {
        return isset($this->opacity);
    }

    public function clearOpacity()
    {
        unset($this->opacity);
    }

    




    public function setOpacity($var)
    {
        GPBUtil::checkUint32($var);
        $this->opacity = $var;

        return $this;
    }

}

